// drupalTypes.ts

declare global {
  interface Window {
    Drupal: any;
    drupalSettings: any;
  }
}

declare const Drupal: any;

export interface LyticsSettings {
  // base
  account_id: string;
  access_token: string;

  // widgets
  pathfora_config: string;

  // recommendations
  recommendation_type: string;
  content_collection_id: string;
  interest_engine_id: string;
  segment_id: string;
  url: string;
  number_of_recommendations: number;
  dont_shuffle_results: boolean;
  include_viewed_content: boolean;
  block_id: string;
}

export interface DrupalSettings {
  lytics?: LyticsSettings;
}

export interface DrupalBehaviors {
  [behaviorName: string]: {
    attach: (context: HTMLElement, settings: DrupalSettings) => void;
  };
}
